EL 2.2 - Apache Tomcat 7.0.42

## javax.el
Class ELResolver

    java.lang.Object
      javax.el.ELResolver

Direct Known Subclasses:
  ArrayELResolver, BeanELResolver, CompositeELResolver, ListELResolver, MapELResolver, ResourceBundleELResolver

    public abstract class ELResolver

extends java.lang.Object

Author:
  Jacob Hookom [jacob/hookom.net]

Field Summary
`static java.lang.String` `RESOLVABLE_AT_DESIGN_TIME`
`static java.lang.String` `TYPE`

Constructor Summary
`ELResolver()`

Method Summary
`abstract java.lang.Class<?>` `getCommonPropertyType(ELContext context, java.lang.Object base)`
`abstract java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors(ELContext context, java.lang.Object base)`
`abstract java.lang.Class<?>` `getType(ELContext context, java.lang.Object base, java.lang.Object property)`
`abstract java.lang.Object` `getValue(ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` `invoke(ELContext context, java.lang.Object base, java.lang.Object method, java.lang.Class<?>[] paramTypes, java.lang.Object[] params)`
`abstract boolean` `isReadOnly(ELContext context, java.lang.Object base, java.lang.Object property)`
`abstract void` `setValue(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOLVABLE_AT_DESIGN_TIME

    public static final java.lang.String RESOLVABLE_AT_DESIGN_TIME

See Also:
  Constant Field Values

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### ELResolver

    public ELResolver()

Method Detail

### getValue

    public abstract java.lang.Object getValue(ELContext context,
                                              java.lang.Object base,
                                              java.lang.Object property)
                                       throws java.lang.NullPointerException,
                                              PropertyNotFoundException,
                                              ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getType

    public abstract java.lang.Class<?> getType(ELContext context,
                                               java.lang.Object base,
                                               java.lang.Object property)
                                        throws java.lang.NullPointerException,
                                               PropertyNotFoundException,
                                               ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### setValue

    public abstract void setValue(ELContext context,
                                  java.lang.Object base,
                                  java.lang.Object property,
                                  java.lang.Object value)
                           throws java.lang.NullPointerException,
                                  PropertyNotFoundException,
                                  PropertyNotWritableException,
                                  ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `PropertyNotWritableException`
    `ELException`

### isReadOnly

    public abstract boolean isReadOnly(ELContext context,
                                       java.lang.Object base,
                                       java.lang.Object property)
                                throws java.lang.NullPointerException,
                                       PropertyNotFoundException,
                                       ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getFeatureDescriptors

    public abstract java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                                                           java.lang.Object base)

### getCommonPropertyType

    public abstract java.lang.Class<?> getCommonPropertyType(ELContext context,
                                                             java.lang.Object base)

### invoke

    public java.lang.Object invoke(ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object method,
                                   java.lang.Class<?>[] paramTypes,
                                   java.lang.Object[] params)

  Since:
    EL 2.2

EL 2.2 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.